=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# code.google.com/p/$project/downloads/list has links to $project.googlecode.com/files/
opts="versionmangle=s/beta/~b/" http://code.google.com/p/protobuf/downloads/list \
    http://protobuf.googlecode.com/files/protobuf-(.*)\.tar\.gz
