## protobuf 2.3.0

=== debian/changelog ===
protobuf (2.3.0-4) unstable; urgency=low

  * Thanks to Peter Palfrader for finding the two bugs below:
  * Disable setuptools auto-download in case of wrong dependencies, and
    fix the current dependency version (Closes: #593269)
  * Fix the python cleanup rule, by always running the individual steps
    (Closes: #593268)

 -- Iustin Pop <iustin@debian.org>  Wed, 18 Aug 2010 22:54:42 +0200

protobuf (2.3.0-3) unstable; urgency=low

  * Acknowledge NMU (thanks Giuseppe!)
  * Update packaging to comply with policy 3.9.1 (.la files are still
    shipped though)
  * Updated watch file to account for code.google.com brokeness

 -- Iustin Pop <iustin@debian.org>  Sat, 31 Jul 2010 17:47:24 -0400

protobuf (2.3.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depends on on default-jdk and set JAVA_HOME to
    /usr/lib/jvm/default-java (Closes: #587732)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 10 Jul 2010 18:37:19 +0200

protobuf (2.3.0-2) unstable; urgency=low

  * Fix "FTBFS on armel (test-suite failure)" by disabling optimizations
    of a troublesome function (idea taken from #580334) (Closes: #572923)
  * Standards version 3.8.4 (no changes needed)
  * Update my address to the @debian.org one

 -- Iustin Pop <iustin@debian.org>  Mon, 24 May 2010 18:04:17 +0200

protobuf (2.3.0-1) unstable; urgency=low

  * New upstream version.
  * Split out libprotobuf-lite from the libprotobuf package.
  * Add CFLAGS specific to sh4; closes: #560322.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 25 Jan 2010 18:14:49 -0500

protobuf (2.2.0a-1) unstable; urgency=low

  * Acknowledge NMUs (thanks Dirk!)
  * Convert the source format to 3.0 (quilt)

 -- Iustin Pop <iusty@k1024.org>  Sun, 06 Dec 2009 16:27:40 +0100

protobuf (2.2.0a-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release made this evening correction major SONAME
  * debian/control: Updated major version to 5 (Closes: #556563)
  * debian/rules: Updated two links to use libproto*5
  * debian/libprotobuf5.shlibs: Added
  * debian/libprotoc5.shlibs: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Nov 2009 21:47:41 -0600

protobuf (2.2.0-0.1) unstable; urgency=low

  * Non-maintainer upload coordinated with maintainer
  * New upstream release (Closes: #551931)

  * debian/libprotobuf-install: Added 'usr/lib/pkgconfig/*' to have
    pkg-config support files installed

  * debian/control: Added (= ${binary:Version}) to Depends for -dev
    packages for tighter link to underlying libraries [lintian warning]
  * debian/control: Updated StandardVersion: to 3.8.3

  * debian/control: Major version not incremented as upstream kept it at 4

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Nov 2009 06:44:22 -0600

protobuf (2.1.0-1) unstable; urgency=low

  * New Upstream Version
  * Fix "Please split out libprotoc.so.N out of the libprotobufN
    package" (Closes: #524087)
  * Update Standards Version to 3.8.2 (no changes needed, sections are already
    correct and the rest doesn't affect this package)

 -- Iustin Pop <iusty@k1024.org>  Wed, 24 Jun 2009 00:19:03 +0200
