=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: protobuf
 Section: devel
 Priority: extra
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), python (>= 2.5), python-setuptools, xmlto
+Maintainer: Iustin Pop <iustin@debian.org>
+Uploaders: Robert S. Edmonds <edmonds@debian.org>
+Build-Depends: debhelper (>= 7), python (>= 2.3.5-11),
+ python-setuptools (>= 0.6c9), xmlto, ant, zlib1g-dev,
+ default-jdk, unzip
 Build-Depends-Indep: python-support (>= 0.6)
-Standards-Version: 3.8.1
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/protobuf/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/protobuf.git
 Vcs-Git: git://git.debian.org/git/collab-maint/protobuf.git
 
-Package: libprotobuf3
+Package: libprotobuf6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: protocol buffer C++ library
+Description: protocol buffers C++ library
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -24,14 +27,12 @@
  Google uses Protocol Buffers for almost all of its internal RPC protocols and
  file formats.
  .
- This package contains the runtime libraries needed for C++ applications and
- the protocol buffer compiler
+ This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-dev
+Package: libprotobuf-lite6
 Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf3
-Description: protocol buffer C++ library (development headers)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: protocol buffers C++ library (lite version)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -43,12 +44,72 @@
  Google uses Protocol Buffers for almost all of its internal RPC protocols and
  file formats.
  .
- This package contains the development libraries needed for writing C++
- applications.
+ This package contains the runtime library needed for C++ applications whose
+ message definitions have the "lite runtime" optimization setting.
+
+Package: libprotobuf-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libprotobuf6 (= ${binary:Version}), libprotobuf-lite6 (= ${binary:Version})
+Description: protocol buffers C++ library (development files)
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the development headers and static libraries needed for
+ writing C++ applications.
+
+Package: libprotoc6
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: protocol buffers compiler library
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the runtime library needed for the protocol buffer
+ compiler.
+
+Package: libprotoc-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libprotoc6 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+Replaces: libprotobuf-dev (<< 2.1.0)
+Breaks: libprotobuf-dev (<< 2.1.0)
+Description: protocol buffers compiler library (development files)
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the development headers and static library needed for
+ writing protobuf compilers.
 
 Package: protobuf-compiler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc6 (= ${binary:Version})
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -88,3 +149,24 @@
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
 
+Package: libprotobuf-java
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java5-runtime
+Recommends: protobuf-compiler
+Section: java
+Description: Java bindings for protocol buffers
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the Java bindings for the protocol buffers. You will
+ need the protoc tool (in the protobuf-compiler package) to compile your
+ definition to Java classes, and then the modules in this package will allow
+ you to use those classes in your programs.
