=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,14 @@
 else
     CFLAGS += -O2
 endif
+
+# Renesas SH(sh4) need -mieee option.
+# If this option is not effective, NaN test failed.
+ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
+  CFLAGS += -mieee
+  CXXFLAGS += -mieee
+endif
+
 #ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 #    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 #    MAKEFLAGS += -j$(NUMJOBS)
@@ -57,7 +65,7 @@
 endif
 
 	# build the protoc manpage
-	#xmlto man debian/protoc.xml
+	xmlto man debian/protoc.xml
 
 	touch $@
 
@@ -65,12 +73,15 @@
 build-indep-stamp: build-arch-stamp
 
 	# python bindings
-	cd python && python2.5 setup.py build
+	cd python && python setup.py build
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd python && python2.5 setup.py test
+	cd python && python setup.py test
 endif
 
+	# java bindings
+	# this code mimics mvn package. This should be changed when maven is supported by debian.
+	$(SHELL) ./debian/ant-wrapper -f debian/java-build.xml jar
 
 	touch $@
 
@@ -79,15 +90,18 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
+	# C++ bindings cleanups
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	# remove the built manpage
 	rm -f protoc.1
 
-	cd python && \
-		python2.5 setup.py clean --all ;\
-		rm -rf protobuf.egg-info
+	# Python bindings cleanups
+	cd python && python setup.py clean --all
+	rm -rf python/protobuf.egg-info
+
+	# Java bindings cleanups
+	$(SHELL) ./debian/ant-wrapper -f debian/java-build.xml clean || true
 
 	dh_clean
 
@@ -100,7 +114,7 @@
 
 	# python bindings
 	cd python && \
-		python2.5 setup.py install --no-compile \
+		python setup.py install --no-compile \
 			--root=$(CURDIR)/debian/python-protobuf ; \
 		find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -print0 | \
 			xargs -r0 rm -f
@@ -120,9 +134,14 @@
 
 	dh_install --sourcedir=debian/tmp -s
 
-	# convert doc dir to symlink for the dev package
+	# convert doc dir to symlink for the dev packages
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
-	ln -s libprotobuf3 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	ln -s libprotobuf6 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+	ln -s libprotoc6 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+
+	# remove compiler headers from libprotobuf-dev
+	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler
 
 
 # Must not depend on anything. This is to be called by
@@ -131,10 +150,10 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs CHANGES.txt
-#	dh_installdocs
-#	dh_installexamples
-#	dh_installman
+	dh_installchangelogs CHANGES.txt
+	dh_installdocs
+	dh_installexamples
+	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
