=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts=\
downloadurlmangle=s|code\.google\.com/p/protobuf/downloads/|protobuf\.googlecode\.com/files/|;\
s/detail\?name=([^&]*).*/$1/,\
filenamemangle=s/detail\?name=([^&]*).*/$1/ \
http://code.google.com/p/protobuf/downloads/list \
        detail\?name=protobuf-(\d+\.\d+[\d.]*)\.tar\.gz(?:&.*)?
