## protobuf 2.3.0-0maemo1

=== debian/changelog ===
protobuf (2.3.0-0maemo1) unstable; urgency=low

  * Update to 2.3.0.

 -- Takahiro Hashimoto <aapo.rantalainen@gmail.com>  Sat, 24 Jul 2010 15:37:30 +0900
