## protobuf 2.3.0-0maemo2

=== debian/changelog ===
protobuf (2.3.0-0maemo2) unstable; urgency=low

  * Fix missing install files issue libprotobuf-dev.
  * Fix maintainer email address.
 
 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  6 Aug 2010 18:20:37 +0900
