## protobuf 2.3.0-0maemo3

=== debian/changelog ===
protobuf (2.3.0-0maemo3) unstable; urgency=low

  * Build again on PR1.3 SDK. 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  3 Dec 2010 04:18:55 +0900
