## protobuf 2.4.0a

=== debian/changelog ===
protobuf (2.4.0a-2ubuntu2) oneiric; urgency=low

  * Switch to dh_python2.  (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 11 Aug 2011 12:33:37 -0400

protobuf (2.4.0a-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Fix linking with -lpthread.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 May 2011 14:41:47 +0200

protobuf (2.4.0a-2) unstable; urgency=low

  * Re-upload to unstable

 -- Iustin Pop <iustin@debian.org>  Sat, 16 Apr 2011 20:18:28 +0200

protobuf (2.4.0a-1) experimental; urgency=low

  * New upstream version, uploading to experimental due to Python changes
  * Fix "Missing depends on zlib1g-dev", thanks Fernando Tarlá Cardoso Lemos
    (Closes: #608670)
  * Re-enable parallel builds, but only for the C++ sources/tests
  * Enable the C++-based implementation for the Python bindings

 -- Iustin Pop <iustin@debian.org>  Wed, 16 Feb 2011 21:24:42 +0100

protobuf (2.3.0-4ubuntu2) natty; urgency=low

  * Fix linking with -lpthread. LP: #688819.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 06:46:55 +0100

protobuf (2.3.0-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Don't use python2.4 use python instead (submited to Debian
      as Bug#600261)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Oct 2010 10:02:24 +0200

protobuf (2.3.0-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Don't use python2.4 (refreshed this patch)

 -- Elliot Murphy <elliot@ubuntu.com>  Tue, 08 Jun 2010 17:29:12 -0400

protobuf (2.2.0a-0.1ubuntu1) lucid; urgency=low
  * Merge from Debian testing.
  * Remaining Ubuntu changes:
    - Don't use python2.4.
  * Ubuntu changes dropped:
    - Disable death tests on Itanium, fixed upstream.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 11 Feb 2010 11:13:19 +1100

protobuf (2.1.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing.
  * Remaining Ubuntu changes:
    - Disable the death tests on IA64, now as a quilt patch.
    - Don't use python2.4, also as a quilt patch.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 16 Nov 2009 10:41:33 -0600

protobuf (2.0.3-2.2ubuntu2) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:55:20 +0200

protobuf (2.0.3-2.2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - src/google/protobuf/compiler/python/python_generator.cc:
      do not hardcode python2.4
    - src/gtest/internal/gtest-port.h
       disable death tests if architecture is IA64

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 04 Jun 2009 14:47:43 +0200
