=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: protobuf
 Section: devel
 Priority: extra
-Maintainer: Iustin Pop <iustin@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7), python (>= 2.3.5-11),
+Build-Depends: debhelper (>= 7),
+ python (>= 2.6.6-3~), python-dev (>= 2.6.6-3~),
  python-setuptools (>= 0.6c9), xmlto, ant, zlib1g-dev,
- default-jdk, unzip
-Build-Depends-Indep: python-support (>= 0.6)
+ default-jdk, unzip, chrpath
 Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/protobuf/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/protobuf.git
 Vcs-Git: git://git.debian.org/git/collab-maint/protobuf.git
+X-Python-Version: >= 2.4
 
-Package: libprotobuf6
+Package: libprotobuf7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers C++ library
@@ -29,7 +31,7 @@
  .
  This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-lite6
+Package: libprotobuf-lite7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers C++ library (lite version)
@@ -50,8 +52,8 @@
 Package: libprotobuf-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libprotobuf6 (= ${binary:Version}), libprotobuf-lite6 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev,
+ libprotobuf7 (= ${binary:Version}), libprotobuf-lite7 (= ${binary:Version})
 Description: protocol buffers C++ library (development files)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -67,7 +69,7 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications.
 
-Package: libprotoc6
+Package: libprotoc7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers compiler library
@@ -89,7 +91,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libprotoc6 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+ libprotoc7 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
 Replaces: libprotobuf-dev (<< 2.1.0)
 Breaks: libprotobuf-dev (<< 2.1.0)
 Description: protocol buffers compiler library (development files)
@@ -109,7 +111,7 @@
 
 Package: protobuf-compiler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc6 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc7 (= ${binary:Version})
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -127,9 +129,9 @@
  binding for the supported languages.
 
 Package: python-protobuf
-Architecture: all
+Architecture: any
 Section: python
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Recommends: protobuf-compiler
 Description: Python bindings for protocol buffers
@@ -148,6 +150,10 @@
  need the protoc tool (in the protobuf-compiler package) to compile your
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
+ .
+ This package contains both the traditional Python-based
+ implementation and the new C++-based one, and you can select at
+ runtime between the two.
 
 Package: libprotobuf-java
 Architecture: all
