=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,12 @@
   CXXFLAGS += -mieee
 endif
 
-#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-#    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-#    MAKEFLAGS += -j$(NUMJOBS)
-#endif
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    PAROPTS = -j$(NUMJOBS)
+else
+    PAROPTS =
+endif
 # end DEB_BUILD_OPTIONS
 
 version=0.0.0
@@ -57,11 +59,24 @@
 build-arch-stamp: configure-stamp
 
 	# Add here commands to compile the arch part of the package.
-	$(MAKE)
+	$(MAKE) $(PAROPTS)
 
 	# run the test suite
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check
+	$(MAKE) $(PAROPTS) check
+endif
+
+	# python bindings
+	cd python && \
+	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp python setup.py build
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# run tests via pure-python
+	cd python && \
+	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=python python setup.py test
+	# run tests via the CPP implementation
+	cd python && \
+	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp python setup.py test
 endif
 
 	# build the protoc manpage
@@ -71,13 +86,6 @@
 
 build-indep: build-indep-stamp
 build-indep-stamp: build-arch-stamp
-
-	# python bindings
-	cd python && python setup.py build
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd python && python setup.py test
-endif
 
 	# java bindings
 	# this code mimics mvn package. This should be changed when maven is supported by debian.
@@ -112,13 +120,6 @@
 	dh_prep -i
 	dh_installdirs -i
 
-	# python bindings
-	cd python && \
-		python setup.py install --no-compile \
-			--root=$(CURDIR)/debian/python-protobuf ; \
-		find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -print0 | \
-			xargs -r0 rm -f
-
 	dh_install -i
 
 
@@ -136,13 +137,24 @@
 
 	# convert doc dir to symlink for the dev packages
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
-	ln -s libprotobuf6 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	ln -s libprotobuf7 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
 	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
-	ln -s libprotoc6 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+	ln -s libprotoc7 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
 
 	# remove compiler headers from libprotobuf-dev
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler
 
+	# python bindings
+	cd python && PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp \
+	  python setup.py install --no-compile \
+	    --root=$(CURDIR)/debian/python-protobuf \
+	    --install-layout=deb ; \
+	  find $(CURDIR)/debian/python-protobuf \
+	    -name 'protobuf-*-nspkg.pth' -print0 | \
+	  xargs -r0 rm -f
+	# cleanup RPATH from built bindings
+	find $(CURDIR)/debian/python-protobuf -name '*.so' -print0 | \
+	  xargs -r0 chrpath -d
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
@@ -158,9 +170,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-ifeq ($(DH_OPTIONS),-i)
-	dh_pysupport
-endif
+	dh_python2 --no-guessing-versions
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
